Subject: [bug#66690] [PATCH v2 0/8] Upgrade cwltool

From: Arun Isaac <[email-masked]>
Date: Thu, 15 Feb 2024 20:46:17 +0000

In this patchset, I have updated cwltool once more to the latest version. And,
I have split out ruamel-yaml into two separate package variants so that conda
no longer breaks. I will push this patchset if it builds successfully on QA
without breaking other packages.

Arun Isaac (8):
  gnu: python-ruamel.yaml.clib: Update to 0.2.8.
  gnu: python-ruamel-yaml: Update to 0.18.6.
  gnu: python-schema-salad: Update to 8.5.20240102191335.
  gnu: Add python-cwlformat.
  gnu: Add python-cwl-upgrader.
  gnu: Add python-cwl-utils.
  gnu: Add python-spython.
  gnu: cwltool: Update to 3.1.20240112164112.

 gnu/packages/bioinformatics.scm     | 244 ++++++++++++++++++++--------
 gnu/packages/linux.scm              |  46 ++++++
 gnu/packages/package-management.scm |   3 +-
 gnu/packages/serialization.scm      |  21 ++-
 4 files changed, 240 insertions(+), 74 deletions(-)

base-commit: 5ad54df6b09b08b73453cf1071413693f053a0cc
-- 
2.41.0